Bug 120164 - FILEOPEN XLSX Different font effects (Overlining, Strikethrough) in a cell
Summary: FILEOPEN XLSX Different font effects (Overlining, Strikethrough) in a cell
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2018-09-27 19:12 UTC by Gabor Kelemen (allotropia)
Modified: 2021-12-30 03:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file with strikethrough and overlining (16.86 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-09-27 19:12 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the file in Excel and Calc side by side (95.46 KB, image/png)
2018-09-27 19:13 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-09-27 19:12:40 UTC
Created attachment 145222 [details]
Example file with strikethrough and overlining

If we set a Superscript font effect with Strikethrough, and overlining, the text looks different in LibreOffice Calc and Microsoft Excel.

Steps to reproduce:
1. Create a new spreadsheet with Microsoft Excel 2010/2013/2016
2. Fill the A1 cell with a simple text (e.g.: a2+b2=c2)
3. Set the numbers font effect to “Superscript”, and “Strikethrough” the first two numbers.
4. Overline the A1 cell text with a single line.
5. Save the file as *.xlsx
6. Open the file with LibreOffice Calc

Actual results:
The underline is not continuous and under the “Strikethrough” numbers there is another  “strikethrough” line”.

Expected results:
The underline should be continuous and under the “Strikethrough” numbers should not be another “strikethrough” line.

Version: 6.2.0.0.alpha0+
Build ID: a27ae800fed5a974c9b255f7ce2b38ec2dbaa426
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 1 Gabor Kelemen (allotropia) 2018-09-27 19:13:38 UTC
Created attachment 145223 [details]
Screenshot of the file in Excel and Calc side by side
Comment 2 MM 2018-10-02 21:59:50 UTC
Confirmed on windows 7 x64 with Version: 6.0.6.2 (x64)
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 3; OS: Windows 6.1; UI render: default
Comment 3 QA Administrators 2019-12-10 04:06:09 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2019-12-30 07:32:00 UTC
still repro in

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 42a1a1c6b91907f81e15066ffab219411f18c4db
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 5 QA Administrators 2021-12-30 03:47:07 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug